'''
Beispiel fuer nicht lineare Gleichungssysteme
'''

#Allgemein:

#Zuerst importieren wir die Loesungsmethoden fsolve und newton_krylov
from scipy.optimize import fsolve

#Hier definieren wir eine Gleichung als Funktion, deren Nullstellen nachher gesucht werden.
def equations(p):
    x, y = p #p wird als Liste oder array uebergeben. Wir geben den einzelnen eintraegen die Namen x und y.
    return (y - x**2 - 7 + 5*x, 4*y - 8*x + 21) #Wir geben den Funktionswert zurueck.

x, y = fsolve(equations, (5,5)) #(x,y) werden als Nullstellen von "equations" zurueck gegeben. (5,5) ist der Startpunkt der Optimierung.
